<p align="center">
  <a href="https://snek.at/" target="_blank" rel="noopener noreferrer">
    <img src="https://avatars2.githubusercontent.com/u/55870326?s=400&u=c6c7f06305ddc94747d474850fde7b2044f53838&v=4" alt="SNEK Logo" height="150">
  </a>
</p>

<h3 align="center">SNEK - Social Network for Engineers and Knowledged</h3>
<p align="center">
The SNEK project is an attempt to create a transparent, open-source non-profit platform that allows engineers to categorize and compare. It should enable engineers from adjacent fields to visualize each other's skills through visualization and project identification.
  <br>
The client unifies the way external data is handled and unites it under a clean, well documented, modular, plug and play API written in beautiful typescript :)
  <br>
  <br>
  <a href="https://github.com/snek-at/client/issues/new?template=bug_report.md">Report bug</a>
  ·
  <a href="https://github.com/snek-at/client/issues/new?template=feature_request.md">Request feature</a>
  ·
  <a href="https://www.overleaf.com/read/bcxwhwbhrmps">Documentation</a>
  <br>
  <br>
  <a href="https://www.codacy.com/app/kleberbaum/client">
    <img src="https://api.codacy.com/project/badge/Grade/20d80a1790c44c90a3376e77d34a99ff" />
  </a>
</p>

## Table of contents

-   [Quick start](#quick-start)
-   [Status](#status)
-   [Bugs and feature requests](#bugs-and-feature-requests)
-   [Contributing](#contributing)
-   [Versioning](#versioning)
-   [Contributers](#contributers)
-   [Thanks](#thanks)
-   [Copyright and license](#copyright-and-license)

## [](#quick-start)Quick start

-   Clone the repo: `https://github.com/snek-at/client.git`

## [](#status)Status

![Website](https://img.shields.io/website/https/snek.at?label=website)

## [](#bug-and-feature-requests)Bugs and feature requests

Do you have a bug or a feature request? Please first search for existing and closed issues. If your problem or idea has
not been addressed yet, [please open a new issue](https://github.com/snek-at/client/issues/new/choose).

## [](#contributing)Contributing

![GitHub last commit](https://img.shields.io/github/last-commit/snek-at/client)
![GitHub issues](https://img.shields.io/github/issues-raw/snek-at/client)
![GitHub closed issues](https://img.shields.io/github/issues-closed-raw/snek-at/client?color=green)

Please read through our
[contributing guidelines](https://github.com/snek-at/client/blob/master/CONTRIBUTING.md). Included are
directions for opening issues, coding standards, and notes on development.

All code should conform to the [Code Guide](https://github.com/snek-at/tonic/blob/master/STYLE_GUIDE.md), maintained by
[SNEK](https://github.com/snek-at).

## [](#versioning)Versioning

![GitHub package.json version](https://img.shields.io/github/package-json/v/snek-at/client)

For reasons of transparency concering our release cycle and in striving to maintain backward compatibility, this
repository is maintained under [the Semantic Versioning guidelines](https://semver.org/). Some minor screw ups
aside, we try to adhere to those rules whenever possible.

## [](#contributers)Contributers

**Schett Nico**

-   <https://twitter.com/sxct4>
-   <https://github.com/schettn>

**Pinterics David**

-   <https://github.com/pinterid>
-   <https://twitter.com/Deff_IT>

**Kleber Florian**

-   <https://twitter.com/kleberbaum>
-   <https://github.com/kleberbaum>

**Aichner Christian**

-   <https://twitter.com/realaichner>
-   <https://www.facebook.com/aichner.christian>
-   <https://github.com/Aichnerc>

## [](#thanks)Thanks

We do not have any external contributors yet, but if you want your name to be here, feel free
to [contribute to our project](#contributing).

## [](#copyright-and-license)Copyright and license

![GitHub repository license](https://img.shields.io/badge/license-EUPL--1.2-blue)

SPDX-License-Identifier: (EUPL-1.2)
Copyright © Simon Prast
