import { DocumentNode } from "graphql";
import { FetchResult } from "apollo-link";
import { ApolloQueryResult } from "apollo-client";
declare type ApolloResult<T> = FetchResult<T, Record<string, any>, Record<string, any>> | ApolloQueryResult<T>;
interface Endpoint {
    headers: {};
    desc: string;
}
interface Options {
    headers: object;
}
interface ApolloEndpoint extends Endpoint {
    sendQuery<T>(data: DocumentNode, variables?: object, headers?: object): Promise<ApolloResult<T>>;
    sendMutation<T>(data: DocumentNode, variables?: object, headers?: object): Promise<ApolloResult<T>>;
}
interface ScraperEndpoint extends Endpoint {
    getJson<T>(url: string): Promise<T>;
    getDom(url: string): Promise<Document>;
    post<T>(url: string, data: string | Blob | ArrayBufferView | ArrayBuffer | FormData | URLSearchParams | ReadableStream<Uint8Array> | null | undefined): Promise<T>;
}
export type { ApolloResult, Options, ApolloEndpoint, ScraperEndpoint };
