"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
class Scraper {
    constructor(root, options) {
        this.root = root;
        this.headers = {
            accept: "application/json, text/plain, */*",
        };
        this.desc = "A endpoint to fetch page DOM";
        this.proxy = "https://cors.snek.at/";
        this.headers = { ...this.headers, ...options.headers };
    }
    get url() {
        return this.proxy + this.root;
    }
    async getJson(path) {
        return fetch(this.url + path, {
            headers: {
                ...this.headers,
                "x-requested-with": "XMLHttpRequest",
            },
        }).then(async (response) => {
            if (!response.ok) {
                throw new Error(response.statusText);
            }
            return response.json().then((data) => data);
        });
    }
    async getDom(path) {
        return fetch(this.url + path, {
            headers: {
                ...this.headers,
            },
        })
            .then((response) => {
            if (!response.ok) {
                throw new Error(response.statusText);
            }
            return response.text();
        })
            .then((text) => {
            return new DOMParser().parseFromString(text, "text/html");
        });
    }
    async post(path, data) {
        return fetch(this.url + path, {
            method: "POST",
            body: data,
            headers: {
                ...this.headers,
            },
        }).then(async (response) => {
            if (!response.ok) {
                throw new Error(response.statusText);
            }
            return response.json().then((data) => data);
        });
    }
}
exports.default = Scraper;
