import { SnekSession, GithubSession } from "./session/sessions";
import { ScraperEndpoint, ApolloEndpoint } from "./endpoints/index";
import { IMainTemplate } from "./templates/index";
interface Endpoint {
    url: string;
    type: string;
    headers: object;
}
interface IClient {
}
declare class Client implements IClient {
    constructor(ep: Endpoint);
}
declare class SnekClient extends Client {
    gql: ApolloEndpoint;
    template: IMainTemplate;
    session: SnekSession;
    constructor(url?: string, headers?: object, type?: string);
}
declare class GithubClient extends Client {
    gql: ApolloEndpoint;
    template: IMainTemplate;
    session: GithubSession;
    constructor(url?: string, headers?: object, type?: string);
}
declare class WebClient extends Client {
    scraper: ScraperEndpoint;
    constructor(url: string, headers?: object, type?: string);
}
export { SnekClient, GithubClient, WebClient };
