"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const js_cookie_1 = __importDefault(require("js-cookie"));
class Session {
    constructor(sId) {
        this.sId = sId;
        this.sessions = {};
        this.tokenName = "token";
    }
    get token() {
        const token = js_cookie_1.default.get(this.tokenName);
        return token ? token : undefined;
    }
    set token(value) {
        if (value) {
            js_cookie_1.default.set(this.tokenName, value);
        }
        else {
            js_cookie_1.default.remove(this.tokenName);
        }
    }
    addSubSession(childSId, Cls, endpoint, template) {
        let session = new Cls(this.sId + "_" + childSId, endpoint, template);
        return session;
    }
}
exports.default = Session;
