import { DocumentNode } from "graphql";
import Session from "./index";
import { IMainTemplate } from "../templates/index";
import SnekTemplate from "../templates/snek/index";
import SnekTasks from "../templates/snek/gql/tasks/index";
import { ApolloEndpoint } from "../endpoints/index";
import { User } from "./index";
declare class GithubSession extends Session {
    ep: ApolloEndpoint;
    template: IMainTemplate;
    constructor(sId: string, ep: ApolloEndpoint, template: IMainTemplate);
    send(token: string, data: DocumentNode, variables?: object): Promise<import("../endpoints").ApolloResult<unknown>>;
}
declare class SnekSession extends Session {
    ep: ApolloEndpoint;
    template: SnekTemplate;
    refreshTokenName: string;
    tasks: SnekTasks;
    constructor(sId: string, ep: ApolloEndpoint, template: SnekTemplate);
    get token(): string | undefined;
    get refreshToken(): string | undefined;
    set token(value: string | undefined);
    set refreshToken(value: string | undefined);
    upToDateToken(): Promise<string | undefined>;
    send(token: string, data: DocumentNode, variables?: object): Promise<import("../endpoints").ApolloResult<unknown>>;
    begin(user?: User): Promise<any>;
    refresh(): Promise<void>;
    end(): Promise<void>;
    customTask<T>(type: string, data: DocumentNode, variables: object): Promise<import("../endpoints").ApolloResult<T>>;
}
export { GithubSession, SnekSession };
