"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.TaskError = void 0;
class TaskError {
    constructor(session) {
        this.session = session;
    }
    handleErrors(response) {
        const errors = response.errors;
        if (errors && errors.length > 0) {
            console.error("An error occurred" + JSON.stringify(response));
            if (errors[0].message === "Invalid refresh token") {
                this.session.token = undefined;
                this.session.refreshToken = undefined;
                return false;
            }
            else if (errors[0].message === "Error decoding signature") {
                this.session.token = undefined;
                return false;
            }
            else {
                return false;
            }
        }
        return true;
    }
}
exports.TaskError = TaskError;
