"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.revoke = exports.verify = exports.refresh = exports.auth = void 0;
const graphql_tag_1 = __importDefault(require("graphql-tag"));
const auth = graphql_tag_1.default `
  mutation auth($username: String!, $password: String!) {
    auth: tokenAuth(username: $username, password: $password) {
      token
      refreshToken
      user {
        username
        firstName
        lastName
        email
        dateJoined
        lastLogin
      }
    }
  }
`;
exports.auth = auth;
const refresh = graphql_tag_1.default `
  mutation refresh($refreshToken: String!) {
    refresh: refreshToken(refreshToken: $refreshToken) {
      payload
      token
      refreshToken
    }
  }
`;
exports.refresh = refresh;
const verify = graphql_tag_1.default `
  mutation verify($token: String!) {
    verify: verifyToken(token: $token) {
      payload
    }
  }
`;
exports.verify = verify;
const revoke = graphql_tag_1.default `
  mutation revoke($refreshToken: String!) {
    revoke: revokeToken(refreshToken: $refreshToken) {
      revoked
    }
  }
`;
exports.revoke = revoke;
