"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.cache = exports.registration = void 0;
const graphql_tag_1 = __importDefault(require("graphql-tag"));
const registration = graphql_tag_1.default `
  mutation registration($token: String!, $values: GenericScalar!) {
    registration: registrationRegistrationFormPage(
      token: $token
      url: "/registration"
      values: $values
    ) {
      result
      errors {
        name
        errors
      }
    }
  }
`;
exports.registration = registration;
const cache = graphql_tag_1.default `
  mutation cache($token: String!, $platformData: String!) {
    cache: cacheUser(token: $token, platformData: $platformData) {
      user {
        id
      }
    }
  }
`;
exports.cache = cache;
