"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.allPageUrls = exports.gitlabServer = void 0;
const graphql_tag_1 = __importDefault(require("graphql-tag"));
const gitlabServer = graphql_tag_1.default `
  query gitLabServers($token: String!) {
    page(url: "/registration", token: $token) {
      ... on RegistrationRegistrationFormPage {
        supportedGitlabs {
          ... on RegistrationGitlab_Server {
            organisation
            domain
            field
          }
        }
      }
    }
  }
`;
exports.gitlabServer = gitlabServer;
const allPageUrls = graphql_tag_1.default `
  query pages($token: String!) {
    pages(token: $token) {
      urlPath
    }
  }
`;
exports.allPageUrls = allPageUrls;
