"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.profile = exports.whoami = void 0;
const graphql_tag_1 = __importDefault(require("graphql-tag"));
const whoami = graphql_tag_1.default `
  query whoami($token: String!) {
    whoami: me(token: $token) {
      username
      firstName
      lastName
      email
      dateJoined
      lastLogin
    }
  }
`;
exports.whoami = whoami;
const profile = graphql_tag_1.default `
  query profile($url: String!, $token: String!) {
    profile: page(url: $url, token: $token) {
      ... on ProfileProfilePage {
        username
        firstName
        lastName
        email
        verified
        platformData
        sources
        bids
        tids
      }
    }
  }
`;
exports.profile = profile;
