import { DocumentNode } from "graphql";
import { SnekSession } from "../../../../session/sessions";
import SnekGqlAuthTasks from "./auth";
import SnekGqlGeneralTasks from "./general";
import SnekGqlUserTasks from "./user";
import { TaskError } from "../errors";
import { SnekGqlTemplate } from "../index";
import { ApolloResult } from "../index";
declare class SnekTasks extends TaskError {
    template: SnekGqlTemplate;
    general: SnekGqlGeneralTasks;
    auth: SnekGqlAuthTasks;
    user: SnekGqlUserTasks;
    constructor(session: SnekSession);
    run<T>(type: string, query: DocumentNode, variables: object): Promise<ApolloResult<T>>;
}
export type { ApolloResult };
export default SnekTasks;
