"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const auth_1 = __importDefault(require("./auth"));
const general_1 = __importDefault(require("./general"));
const user_1 = __importDefault(require("./user"));
const errors_1 = require("../errors");
class SnekTasks extends errors_1.TaskError {
    constructor(session) {
        super(session);
        this.template = session.template.snekGql;
        this.general = new general_1.default(this);
        this.auth = new auth_1.default(this);
        this.user = new user_1.default(this);
    }
    async run(type, query, variables) {
        let response;
        if (type === "query") {
            response = await this.session.ep.sendQuery(query, variables);
        }
        else if (type === "mutation") {
            response = await this.session.ep.sendMutation(query, variables);
        }
        else {
            console.warn("No query type specified! Please re-check." +
                "Selecting type 'query' as default");
            response = await this.session.ep.sendQuery(query, variables);
        }
        this.handleErrors(response);
        return response;
    }
}
exports.default = SnekTasks;
