import SnekTasks from "./index";
import { ApolloResult } from "./index";
interface RegistrationData {
    result: string;
}
interface CacheData {
    user: {
        id: number;
    };
}
interface ProfileData {
    username: string;
    firstName: string;
    lastName: string;
    email: string;
    verified: string;
    platformData: string;
    sources: string;
    bids: string;
    tids: string;
}
interface WhoamiData {
    whoami: {
        username: string;
    };
}
declare class SnekGqlUserTasks {
    private parent;
    constructor(parent: SnekTasks);
    registration(values: object): Promise<ApolloResult<RegistrationData>>;
    cache(platformData: string): Promise<ApolloResult<CacheData>>;
    profile(url: string): Promise<ApolloResult<ProfileData>>;
    whoami(): Promise<ApolloResult<WhoamiData>>;
}
export default SnekGqlUserTasks;
