"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
class SnekGqlUserTasks {
    constructor(parent) {
        this.parent = parent;
    }
    async registration(values) {
        const response = await this.parent.run("mutation", this.parent.template.mutations.user.registration, {
            token: await this.parent.session.upToDateToken(),
            values,
        });
        return response;
    }
    async cache(platformData) {
        const response = await this.parent.run("mutation", this.parent.template.mutations.user.cache, {
            token: await this.parent.session.upToDateToken(),
            platformData,
        });
        return response;
    }
    async profile(url) {
        const response = await this.parent.run("query", this.parent.template.queries.user.profile, {
            url,
            token: await this.parent.session.upToDateToken(),
        });
        return response;
    }
    async whoami() {
        const response = await this.parent.run("query", this.parent.template.queries.user.whoami, {
            token: await this.parent.session.upToDateToken(),
        });
        return response;
    }
}
exports.default = SnekGqlUserTasks;
